#!/usr/bin/env ruby
# coding: utf-8

def matsu(n)
  while n > 0
    sleep(3)
    n -= 1
    return n
  end
end

def kakunin(x,y)
  if x >= 0
    return "ok"
  elsif x == 777
    return 777
  else
    return "n"
  end
end

def aite
  sentaku=["グー","チョキ","パー"]
  return sentaku[rand(sentaku.length)]
end
  

puts"あっち向いてホイ START!"
sleep(1)

puts" {   説明   } "
puts"まず、相手プレイヤー１人(自動)とあなたでジャンケンをし、"
puts"ジャンケンで勝ったプレイヤーが「あっち向いてホイ!」と言って、
四方向に指を向けます。"
puts"そして、ジャンケンで負けたプレイヤーがその方向に向いたら、"
puts"そのプレイヤーは負けとなり ゲームは終了します。"
puts"決着がつくまで、何回も繰り返してもらいます。"
puts"なお、途中で辞めたい場合は「777」と入力してください。"
puts"Enterでゲームが始まります。"
gets

while true
print"最初はグー、ジャンケン...ポイ！:"
matsu(1)
com=aite
dasita=gets.chomp
printf("コンピューターは%sを出しました!\n",com)
if dasita=="グー"&& com=="グー"|| dasita=="チョキ"&& com=="チョキ"|| dasita=="パー"&& com=="パー"
  puts"あいこです!"
  redo
elsif dasita=="チョキ"&& com=="パー"|| dasita=="グー"&& com=="チョキ"|| dasita=="パー"&& com=="グー"
  puts"勝ちました!"
  break
elsif dasita=="パー"&& com=="チョキ"|| dasita=="チョキ"&& com=="グー"|| dasita=="グー"&& com=="パー"
  puts"負けました..."
  break
elsif dasita=="777"
  break
else redo
end
end

